• ACTION REQUIRED: Pacman Keyring Reset


    Due to a recent update to GNUPG, anyone who installed Antergos prior to 12/1/2014 will need to reset their pacman keyring. It’s generally a quick and painless process. You must have an active internet connection before you perform the following commands:

    NOTE: This assumes that your system is up-to-date.

    sudo rm -r /etc/pacman.d/gnupg  
    sudo pacman-key --init  
    sudo pacman-key --populate archlinux antergos
    

    Let us know if you have any trouble with it. Cheers!

  • Due to a recent update to GNUPG, anyone who installed Antergos prior to 12/1/2014 will need to reset their pacman keyring. It’s generally a quick and painless process. You must have an active internet connection before you perform the following commands:

    NOTE: This assumes that your system is up-to-date.
    [command:21ilqdok]su
    rm -r /etc/pacman.d/gnupg
    pacman-key --init
    pacman-key --populate archlinux antergos[/command:21ilqdok]

    Let us know if you have any trouble with it. Cheers!

  • Gracias lots.0.logs

  • This was very helpful. Thank You, I was scratching my head to why this was happening.

    If anyone is curious to what GNUPG is, here is a link —> [https://gnupg.org/][0]">[https://gnupg.org/][1]

    [0]: <a href=
    [1]: https://gnupg.org/

  • Just did a fresh install today on a vm and still had to do this.

    Just a note.

    I7 [email protected]/32GB Ram/3440 x 1440 + 1440p/EVGA 1080 FTW/512GB SSD/2TB HD/Antergos Base w/ Plasma

  • cheers

  • Solved!
    Thank you. I was going to write asking about this thing.[/color:3roonoii]
    [img:3roonoii]http://i.imgur.com/r728RAr.png[/img:3roonoii]

  • This one and a cnchi-dev NEED to be announced on the antergos download page.

  • @“lots.0.logs”:1c578l5l said:

    It’s generally a quick and painless process.[/quote:1c578l5l]
    I did this successfully on three computers. Everytime I got the message

    Nächste Pflichtüberprüfung 2015-03-31
    

    Does that mean, that this process has to be repeated in March 2015?

  • No, you should not have to remove the keyring. Pacman will handle key updates when they expire.

    Cheers!

  • I just wanted to follow up.

    This is still an issue with the the ISO from the build server in this build: [b:343pu8db]antergos-2014.12.19-x86_64.iso[/b:343pu8db]

  • Yeah, apparently this is still not fixed on the isos

  • I installed off of 2015-01-11 last night - no keyring issues, system seemed to be up to date after the initial reboot once install was completed. No other issues - the installer updated as soon as I connected to the internet and the messaging from the OS was sufficient so I knew what was happening.

    Nice project - Thanks.

  • looks to be fixed indeed, no issues for me either. Keep up the good work guys!

    creating android APK downloads for the people

  • @lots.0.logs I just tried this but still get “error: GPGME error: No data
    :: Synchronizing package databases…” and then “error: database ‘core’ is not valid (invalid or corrupted database (PGP signature))
    error: database ‘multilib’ is not valid (invalid or corrupted database (PGP signature))” Am I doing something wrong or do I need to do something else?

  • This actually worked for me yesterday. I don’t understand why it happens, but all is well.

Posts 16Views 9674
Log in to reply
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.